<?xml version="1.0" encoding="UTF-8"?><definitions xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="http://ex.common.ossj/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" targetNamespace="http://ex.common.ossj/" name="VpnServiceService">
  <types>
    <xsd:schema>
      <xsd:import namespace="http://ex.common.ossj/" schemaLocation="http://localhost:8080/VpnServiceService/VpnService/__container$publishing$subctx/META-INF/wsdl/VpnServiceService_schema1.xsd" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/"/>
    </xsd:schema>
  </types>
  <message name="createMplsVpnServiceByValue">
    <part name="parameters" element="tns:createMplsVpnServiceByValue"/>
  </message>
  <message name="createMplsVpnServiceByValueResponse">
    <part name="parameters" element="tns:createMplsVpnServiceByValueResponse"/>
  </message>
  <message name="OssIllegalArgumentException">
    <part name="fault" element="tns:OssIllegalArgumentException"/>
  </message>
  <message name="DuplicateKeyException">
    <part name="fault" element="tns:DuplicateKeyException"/>
  </message>
  <message name="CreateException">
    <part name="fault" element="tns:CreateException"/>
  </message>
  <portType name="VpnService">
    <operation name="createMplsVpnServiceByValue">
      <input message="tns:createMplsVpnServiceByValue"/>
      <output message="tns:createMplsVpnServiceByValueResponse"/>
      <fault name="OssIllegalArgumentException" message="tns:OssIllegalArgumentException"/>
      <fault name="DuplicateKeyException" message="tns:DuplicateKeyException"/>
      <fault name="CreateException" message="tns:CreateException"/>
    </operation>
  </portType>
  <binding name="VpnServicePortBinding" type="tns:VpnService">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
    <operation name="createMplsVpnServiceByValue">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
      <fault name="OssIllegalArgumentException">
        <soap:fault name="OssIllegalArgumentException" use="literal"/>
      </fault>
      <fault name="DuplicateKeyException">
        <soap:fault name="DuplicateKeyException" use="literal"/>
      </fault>
      <fault name="CreateException">
        <soap:fault name="CreateException" use="literal"/>
      </fault>
    </operation>
  </binding>
  <service name="VpnServiceService">
    <port name="VpnServicePort" binding="tns:VpnServicePortBinding">
      <soap:address location="http://localhost:8080/VpnServiceService/VpnService" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/"/>
    </port>
  </service>
</definitions>